%define unvname	struts
%define name		struts11
%define full_name	jakarta-%{unvname}
%define version		1.1
%define release		1.2mdk
%define tomcat3appsdir	%{_localstatedir}/tomcat3/webapps
%define tomcat4appsdir	%{_localstatedir}/lib/tomcat4/webapps
%define tomcat5appsdir	%{_localstatedir}/lib/tomcat5/webapps
%define tomcat5ctxdir	%{_sysconfdir}/tomcat5/Catalina/localhost
%define section		free
%define webapps		blank example template-example exercise-taglib upload
%define webapplibs commons-beanutils commons-digester commons-fileupload commons-validator oro struts

%define jdkmajorver 1.4
%define legacyver 1.0

%define with_tomcat3 %{?_with_tomcat3:1}%{!?_without_tomcat3:0}
%define with_tomcat4 %{?_with_tomcat4:1}%{!?_without_tomcat4:0}
%define with_tomcat5 %{?_with_tomcat5:1}%{!?_without_tomcat5:0}

%define build_native 0

Name:		struts11
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Web application framework
License:	Apache License
Group:          Development/Java
Source0:		%{full_name}-%{version}-src.tar.bz2
Source1:	struts-legacy-%{legacyver}-src.tar.bz2
Source2:	tomcat4-context-allowlinking.xml
Source3:	tomcat5-context-allowlinking.xml
Patch0:		%{unvname}-%{version}.build.patch.bz2
Patch1:		%{unvname}-%{version}.servlet24.patch.bz2
Patch2:		%{unvname}-%{version}.bz157205.patch.bz2
Url:		http://jakarta.apache.org/%{unvname}
Requires:	servletapi5
Requires:	jdbc-stdext
Requires:	jakarta-commons-beanutils >= 0:1.6.1
Requires:	jakarta-commons-digester >= 0:1.6
Requires:	jakarta-commons-fileupload >= 0:1.0
Requires:	jakarta-commons-validator >= 0:1.0.2
Requires:	oro >= 0:2.0.7
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6.1
#BuildRequires:	ant-trax
BuildRequires:	sed
BuildRequires:	servletapi5
BuildRequires:	jdbc-stdext
BuildRequires:  jakarta-commons-beanutils >= 0:1.6.1
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-digester >= 0:1.6
BuildRequires:  jakarta-commons-fileupload >= 0:1.0
BuildRequires:  jakarta-commons-lang >= 0:1.0.1
BuildRequires:  jakarta-commons-logging >= 0:1.0.2
BuildRequires:  jakarta-commons-validator >= 0:1.0.2
BuildRequires:  oro >= 0:2.0.7
BuildRequires:  xalan-j2
Group:		Development/Java
Buildroot:	%{_tmppath}/%{unvname}-%{version}-buildroot
# libgcj aot-compiled native libraries
%if %{build_native}
BuildRequires:         gcc-java >= 0:4.0.0
BuildRequires:         java-1.4.2-gcj-compat >= 0:1.4.2.0
Requires(post,postun): java-1.4.2-gcj-compat >= 0:1.4.2.0
ExclusiveArch:         %{ix86} x86_64 ppc
%else
BuildArch:      noarch
%endif

%description
Welcome to the Struts Framework! The goal of this project is to provide
an open source framework useful in building web applications with Java
Servlet and JavaServer Pages (JSP) technology. Struts encourages
application architectures based on the Model-View-Controller (MVC)
design paradigm, colloquially known as Model 2 in discussions on various
servlet and JSP related mailing lists.
Struts includes the following primary areas of functionality:
A controller servlet that dispatches requests to appropriate Action
classes provided by the application developer.
JSP custom tag libraries, and associated support in the controller
servlet, that assists developers in creating interactive form-based
applications.
Utility classes to support XML parsing, automatic population of
JavaBeans properties based on the Java reflection APIs, and
internationalization of prompts and messages.
Struts is part of the Jakarta Project, sponsored by the Apache Software
Foundation. The official Struts home page is at
http://jakarta.apache.org/struts.

%package manual
Summary:        Manual for %{unvname}
Group:          Development/Java

%description manual
Documentation for %{unvname}.

%package javadoc
Summary:        Javadoc for %{unvname}
Group:          Development/Java

%description javadoc
Javadoc for %{unvname}.

%if %{with_tomcat3}
%package webapps-tomcat3
Summary:        Sample %{unvname} webapps for tomcat3
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
PreReq:         tomcat3

%description webapps-tomcat3
Sample %{unvname} webapps for tomcat3.
%endif

%if %{with_tomcat4}
%package webapps-tomcat4
Summary:        Sample %{unvname} webapps for tomcat4
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
PreReq:         tomcat4

%description webapps-tomcat4
Sample %{unvname} webapps for tomcat4.
%endif

%if %{with_tomcat5}
%package webapps-tomcat5
Summary:        Sample %{unvname} webapps for tomcat5
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
PreReq:         tomcat5

%description webapps-tomcat5
Sample %{unvname} webapps for tomcat5.
%endif


%prep
%setup -q -n %{full_name}-%{version}-src
%patch0
%patch1 -p1
%patch2 -p1 -b .orig
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

# FIXME: W: struts11 class-path-in-manifest /usr/share/java/struts-1.1.jar

# XXX: fix this as %%setup instead
%{__bzip2} -dc %{SOURCE1}  | tar xf - 

%build
# build the legacy stuff first
pushd .
cd struts-legacy-%{legacyver}-src
export CLASSPATH=$(build-classpath jakarta-commons-logging xml-commons-apis xalan-j2 xerces-j2)
%ant -Djdbc20ext.jar=$(find-jar jdbc-stdext) \
	-Djdk.version=%{jdkmajorver} \
	dist

popd

# build struts
export CLASSPATH=$(build-classpath xml-commons-apis jaxp_parser_impl \
xalan-j2 jdbc-stdext servletapi5 jspapi commons-digester-rss)
%ant -Djdbc20ext.jar=$(find-jar jdbc-stdext) \
	-Dcommons-beanutils.jar=$(build-classpath commons-beanutils) \
	-Dcommons-collections.jar=$(build-classpath commons-collections) \
	-Dcommons-digester.jar=$(build-classpath commons-digester) \
	-Dcommons-fileupload.jar=$(build-classpath commons-fileupload) \
	-Dcommons-lang.jar=$(build-classpath commons-lang) \
	-Dcommons-logging.jar=$(build-classpath commons-logging) \
	-Dcommons-validator.jar=$(build-classpath commons-validator) \
	-Djakarta-oro.jar=$(build-classpath oro) \
	-Dstruts-legacy.jar=./struts-legacy-%{legacyver}-src/dist/struts-legacy.jar \
	 compile.library \
         compile.webapps \
         compile.javadoc || :

# embed struts-legacy in the main jarfile
mkdir target/library/tmp
pushd target/library/tmp
%{jar} xf ../struts-legacy.jar
%{jar} uf ../struts.jar org
popd
rm -rf target/library/tmp

%if %{build_native}
aot-compile \
    target/library/%{unvname}.jar \
    lib%{unvname}-%{version}.jar.so \
    "$RPM_OPT_FLAGS -fPIC"
%endif

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/library/%{unvname}.jar $RPM_BUILD_ROOT%{_javadir}/%{unvname}-%{version}.jar
# Do not create unversioned links for old version
#(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{unvname}-%{version}
cp -pr target/documentation/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{unvname}-%{version}
rm -rf target/documentation/api
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{unvname}-%{version}
install -m 644 target/library/*.tld $RPM_BUILD_ROOT%{_datadir}/%{unvname}-%{version}
install -m 644 target/library/*.dtd $RPM_BUILD_ROOT%{_datadir}/%{unvname}-%{version}
# fix end-of-line
%{__perl} -pi -e 's/\r\n/\n/g' $RPM_BUILD_ROOT%{_datadir}/%{unvname}-%{version}/*.dtd
# solibs
%if %{build_native}
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -m 755 lib%{unvname}-%{version}.jar.so $RPM_BUILD_ROOT%{_libdir}
ln -sf lib%{unvname}-%{version}.jar.so \
    $RPM_BUILD_ROOT%{_libdir}/lib%{unvname}.jar.so
# gcjdb
gcjdbdir=`gcj-dbtool -p %{_libdir}`.d
mkdir -p $RPM_BUILD_ROOT$gcjdbdir
gcj-dbtool -n $RPM_BUILD_ROOT$gcjdbdir/%{unvname}-%{version}.db 80000
gcj-dbtool -f $RPM_BUILD_ROOT$gcjdbdir/%{unvname}-%{version}.db \
  $RPM_BUILD_ROOT%{_javadir}/%{unvname}-%{version}.jar \
  %{_libdir}/lib%{unvname}-%{version}.jar.so
%endif

# tomcat 3 webapps
%if %{with_tomcat3}
install -d -m 755 $RPM_BUILD_ROOT%{tomcat3appsdir}
for webapp in %{webapps}; do
    cp -pr target/$webapp $RPM_BUILD_ROOT%{tomcat3appsdir}/%{name}-$webapp
    # tomcat3 doesn't support allowLinking, this might not work
	# XXX: move to %%post/preun
	for jar in %{webapplibs}; do
        (cd $RPM_BUILD_ROOT%{tomcat3appsdir}/%{name}-$webapp/WEB-INF/lib \
        && ln -sf ../../../../../..%{_javadir}/$jar.jar .)
	done
    (cd $RPM_BUILD_ROOT%{tomcat3appsdir}/%{name}-$webapp/WEB-INF \
    && for tld in ../../../../..%{_datadir}/%{unvname}-%{version}/*.tld; do ln -sf $tld `basename $tld`; done)
done
%endif

# tomcat 4 webapps
%if %{with_tomcat4}
install -d -m 755 $RPM_BUILD_ROOT%{tomcat4appsdir}
for webapp in %{webapps}; do
    cp -pr target/$webapp $RPM_BUILD_ROOT%{tomcat4appsdir}/%{name}-$webapp
    cat %{SOURCE2} | sed -e "s/@@@APPNAME@@@/$webapp/g;" > $RPM_BUILD_ROOT%{tomcat4appsdir}/%{name}-$webapp.xml
	# XXX: move to %%post/preun
	for jar in %{webapplibs}; do
        (cd $RPM_BUILD_ROOT%{tomcat4appsdir}/%{name}-$webapp/WEB-INF/lib \
        && ln -sf ../../../../../../..%{_javadir}/$jar.jar .)
    done
    (cd $RPM_BUILD_ROOT%{tomcat4appsdir}/%{name}-$webapp/WEB-INF \
    && for tld in ../../../../../..%{_datadir}/%{unvname}-%{version}/*.tld; do ln -sf $tld `basename $tld`; done)
done
%endif

# tomcat 5 webapps
%if %{with_tomcat5}
install -d -m 755 $RPM_BUILD_ROOT%{tomcat5appsdir}
install -d -m 755 $RPM_BUILD_ROOT%{tomcat5ctxdir}
for webapp in %{webapps}; do
    cp -pr target/$webapp $RPM_BUILD_ROOT%{tomcat5appsdir}/%{name}-$webapp
    cat %{SOURCE3} | sed -e "s/@@@APPNAME@@@/$webapp/g;" > $RPM_BUILD_ROOT%{tomcat5ctxdir}/%{name}-$webapp.xml
	# XXX: move to %%post/preun
	for jar in %{webapplibs}; do
        (cd $RPM_BUILD_ROOT%{tomcat5appsdir}/%{name}-$webapp/WEB-INF/lib \
        && ln -sf ../../../../../../..%{_javadir}/$jar.jar .)
    done
    (cd $RPM_BUILD_ROOT%{tomcat5appsdir}/%{name}-$webapp/WEB-INF \
    && for tld in ../../../../../..%{_datadir}/%{unvname}-%{version}/*.tld; do ln -sf $tld `basename $tld`; done)
done
%endif

# fix end-of-line
%{__perl} -pi -e 's/\r\n/\n/g' INSTALL LICENSE README WhoWeAre

for i in `find target/documentation -type f -name "*.html"`; do
  %{__perl} -pi -e 's/\r\n/\n/g' $i
done

%if %{build_native}
%post
/usr/bin/rebuild-gcj-db %{_libdir}

%postun
/usr/bin/rebuild-gcj-db %{_libdir}
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README WhoWeAre
%{_javadir}/*
%{_datadir}/%{unvname}-%{version}
%if %{build_native}
%attr(0755,root,root) %{_libdir}/lib*.jar.so
%{_libdir}/*/*/%{unvname}-%{version}.db
%endif

%files manual
%defattr(-,root,root)
#%if 0
%doc target/documentation/*.html
%doc target/documentation/*.gif
%doc target/documentation/uml
%doc target/documentation/userGuide
%doc target/documentation/images
#%endif

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{unvname}-%{version}

%if %{with_tomcat3}
%files webapps-tomcat3
%defattr(-,tomcat3,tomcat3)
%dir %{tomcat3appsdir}/%{name}-blank
%dir %{tomcat3appsdir}/%{name}-blank/pages
%dir %{tomcat3appsdir}/%{name}-blank/WEB-INF
%dir %{tomcat3appsdir}/%{name}-blank/WEB-INF/classes
%config(noreplace) %{tomcat3appsdir}/%{name}-blank/WEB-INF/web.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-blank/WEB-INF/struts-config.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-blank/WEB-INF/tiles-defs.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-blank/WEB-INF/validation.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-blank/WEB-INF/validator-rules.xml
%{tomcat3appsdir}/%{name}-blank/WEB-INF/lib
%dir %{tomcat3appsdir}/%{name}-blank/WEB-INF/src/java/resources
%config(noreplace) %{tomcat3appsdir}/%{name}-blank/WEB-INF/src/java/resources/*.properties
%dir %{tomcat3appsdir}/%{name}-blank/WEB-INF/classes/resources
%config(noreplace) %{tomcat3appsdir}/%{name}-blank/WEB-INF/classes/resources/*.properties
%{tomcat3appsdir}/%{name}-blank/WEB-INF/*.tld
%{tomcat3appsdir}/%{name}-blank/*.jsp
%dir %{tomcat3appsdir}/%{name}-blank/WEB-INF/src
%dir %{tomcat3appsdir}/%{name}-blank/WEB-INF/src/java
%{tomcat3appsdir}/%{name}-blank/WEB-INF/src/*.xml
%{tomcat3appsdir}/%{name}-blank/WEB-INF/src/README.txt
%dir %{tomcat3appsdir}/%{name}-blank/pages/*.jsp
%dir %{tomcat3appsdir}/%{name}-upload
%dir %{tomcat3appsdir}/%{name}-upload/WEB-INF
%config(noreplace) %{tomcat3appsdir}/%{name}-upload/WEB-INF/web.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-upload/WEB-INF/struts-config.xml
%{tomcat3appsdir}/%{name}-upload/WEB-INF/lib
%{tomcat3appsdir}/%{name}-upload/WEB-INF/*.tld
%{tomcat3appsdir}/%{name}-upload/*.jsp
%dir %{tomcat3appsdir}/%{name}-example
%dir %{tomcat3appsdir}/%{name}-example/WEB-INF
%config(noreplace) %{tomcat3appsdir}/%{name}-example/WEB-INF/web.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-example/WEB-INF/struts-config.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-example/WEB-INF/database.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-example/WEB-INF/action.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-example/WEB-INF/struts-config-registration.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-example/WEB-INF/validation.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-example/WEB-INF/validator-rules.xml
%{tomcat3appsdir}/%{name}-example/WEB-INF/lib
%{tomcat3appsdir}/%{name}-example/WEB-INF/*.tld
%{tomcat3appsdir}/%{name}-example/*.jsp
%{tomcat3appsdir}/%{name}-example/*.htm
%{tomcat3appsdir}/%{name}-example/*.gif
%dir %{tomcat3appsdir}/%{name}-template-example
%dir %{tomcat3appsdir}/%{name}-template-example/WEB-INF
%config(noreplace) %{tomcat3appsdir}/%{name}-template-example/WEB-INF/web.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-template-example/WEB-INF/struts-config.xml
%{tomcat3appsdir}/%{name}-template-example/WEB-INF/lib
%{tomcat3appsdir}/%{name}-template-example/WEB-INF/*.tld
%{tomcat3appsdir}/%{name}-template-example/graphics
%{tomcat3appsdir}/%{name}-template-example/css
%{tomcat3appsdir}/%{name}-template-example/*.jsp
%{tomcat3appsdir}/%{name}-template-example/*.html
%dir %{tomcat3appsdir}/%{name}-exercise-taglib
%dir %{tomcat3appsdir}/%{name}-exercise-taglib/WEB-INF
%config(noreplace) %{tomcat3appsdir}/%{name}-exercise-taglib/WEB-INF/web.xml
%config(noreplace) %{tomcat3appsdir}/%{name}-exercise-taglib/WEB-INF/struts-config.xml
%{tomcat3appsdir}/%{name}-exercise-taglib/WEB-INF/lib
%{tomcat3appsdir}/%{name}-exercise-taglib/WEB-INF/*.tld
%{tomcat3appsdir}/%{name}-exercise-taglib/*.jsp
%endif

%if %{with_tomcat4}
%files webapps-tomcat4
%defattr(-,tomcat4,tomcat4)
%dir %{tomcat4appsdir}/%{name}-blank
%dir %{tomcat4appsdir}/%{name}-blank/pages
%config(noreplace) %{tomcat4appsdir}/%{name}-blank/WEB-INF/web.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-blank/WEB-INF/struts-config.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-blank/WEB-INF/tiles-defs.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-blank/WEB-INF/validation.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-blank/WEB-INF/validator-rules.xml
%dir %{tomcat4appsdir}/%{name}-blank/WEB-INF
%{tomcat4appsdir}/%{name}-blank/WEB-INF/lib
%dir %{tomcat4appsdir}/%{name}-blank/WEB-INF/src/java/resources
%config(noreplace) %{tomcat4appsdir}/%{name}-blank/WEB-INF/src/java/resources/*.properties
%dir %{tomcat4appsdir}/%{name}-blank/WEB-INF/classes/resources
%config(noreplace) %{tomcat4appsdir}/%{name}-blank/WEB-INF/classes/resources/*.properties
%{tomcat4appsdir}/%{name}-blank/WEB-INF/*.tld
%{tomcat4appsdir}/%{name}-blank/*.jsp
%dir %{tomcat4appsdir}/%{name}-blank/WEB-INF/src
%dir %{tomcat4appsdir}/%{name}-blank/WEB-INF/src/java
%dir %{tomcat4appsdir}/%{name}-blank/WEB-INF/classes
%{tomcat4appsdir}/%{name}-blank/WEB-INF/src/*.xml
%{tomcat4appsdir}/%{name}-blank/WEB-INF/src/README.txt
%dir %{tomcat4appsdir}/%{name}-blank/pages/*.jsp
%dir %{tomcat4appsdir}/%{name}-upload
%dir %{tomcat4appsdir}/%{name}-upload/WEB-INF
%config(noreplace) %{tomcat4appsdir}/%{name}-upload/WEB-INF/web.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-upload/WEB-INF/struts-config.xml
%{tomcat4appsdir}/%{name}-upload/WEB-INF/lib
%{tomcat4appsdir}/%{name}-upload/WEB-INF/*.tld
%{tomcat4appsdir}/%{name}-upload/*.jsp
%dir %{tomcat4appsdir}/%{name}-example
%dir %{tomcat4appsdir}/%{name}-example/WEB-INF
%config(noreplace) %{tomcat4appsdir}/%{name}-example/WEB-INF/web.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-example/WEB-INF/struts-config.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-example/WEB-INF/database.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-example/WEB-INF/action.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-example/WEB-INF/struts-config-registration.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-example/WEB-INF/validation.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-example/WEB-INF/validator-rules.xml
%{tomcat4appsdir}/%{name}-example/WEB-INF/lib
%{tomcat4appsdir}/%{name}-example/WEB-INF/*.tld
%{tomcat4appsdir}/%{name}-example/*.jsp
%{tomcat4appsdir}/%{name}-example/*.htm
%{tomcat4appsdir}/%{name}-example/*.gif
%dir %{tomcat4appsdir}/%{name}-template-example
%dir %{tomcat4appsdir}/%{name}-template-example/WEB-INF
%config(noreplace) %{tomcat4appsdir}/%{name}-template-example/WEB-INF/web.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-template-example/WEB-INF/struts-config.xml
%{tomcat4appsdir}/%{name}-template-example/WEB-INF/lib
%{tomcat4appsdir}/%{name}-template-example/WEB-INF/*.tld
%{tomcat4appsdir}/%{name}-template-example/graphics
%{tomcat4appsdir}/%{name}-template-example/css
%{tomcat4appsdir}/%{name}-template-example/*.jsp
%{tomcat4appsdir}/%{name}-template-example/*.html
%dir %{tomcat4appsdir}/%{name}-exercise-taglib
%dir %{tomcat4appsdir}/%{name}-exercise-taglib/WEB-INF
%config(noreplace) %{tomcat4appsdir}/%{name}-exercise-taglib/WEB-INF/web.xml
%config(noreplace) %{tomcat4appsdir}/%{name}-exercise-taglib/WEB-INF/struts-config.xml
%{tomcat4appsdir}/%{name}-exercise-taglib/WEB-INF/lib
%{tomcat4appsdir}/%{name}-exercise-taglib/WEB-INF/*.tld
%{tomcat4appsdir}/%{name}-exercise-taglib/*.jsp
%{tomcat4appsdir}/%{name}-*.xml
%endif

%if %{with_tomcat5}
%files webapps-tomcat5
%defattr(-,tomcat,tomcat)
%dir %{tomcat5appsdir}/%{name}-blank
%dir %{tomcat5appsdir}/%{name}-blank/pages
%dir %{tomcat5appsdir}/%{name}-blank/WEB-INF
%dir %{tomcat5appsdir}/%{name}-blank/WEB-INF/src
%dir %{tomcat5appsdir}/%{name}-blank/WEB-INF/src/java
%dir %{tomcat5appsdir}/%{name}-blank/WEB-INF/classes
%config(noreplace) %{tomcat5appsdir}/%{name}-blank/WEB-INF/web.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-blank/WEB-INF/struts-config.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-blank/WEB-INF/tiles-defs.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-blank/WEB-INF/validation.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-blank/WEB-INF/validator-rules.xml
%{tomcat5appsdir}/%{name}-blank/WEB-INF/lib
%dir %{tomcat5appsdir}/%{name}-blank/WEB-INF/src/java/resources
%config(noreplace) %{tomcat5appsdir}/%{name}-blank/WEB-INF/src/java/resources/*.properties
%dir %{tomcat5appsdir}/%{name}-blank/WEB-INF/classes/resources
%config(noreplace) %{tomcat5appsdir}/%{name}-blank/WEB-INF/classes/resources/*.properties
%{tomcat5appsdir}/%{name}-blank/WEB-INF/*.tld
%{tomcat5appsdir}/%{name}-blank/*.jsp
%dir %{tomcat5appsdir}/%{name}-blank/WEB-INF/src
%{tomcat5appsdir}/%{name}-blank/WEB-INF/src/*.xml
%{tomcat5appsdir}/%{name}-blank/WEB-INF/src/README.txt
%dir %{tomcat5appsdir}/%{name}-blank/pages/*.jsp
%dir %{tomcat5appsdir}/%{name}-upload
%dir %{tomcat5appsdir}/%{name}-upload/WEB-INF
%config(noreplace) %{tomcat5appsdir}/%{name}-upload/WEB-INF/web.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-upload/WEB-INF/struts-config.xml
%{tomcat5appsdir}/%{name}-upload/WEB-INF/lib
%{tomcat5appsdir}/%{name}-upload/WEB-INF/*.tld
%{tomcat5appsdir}/%{name}-upload/*.jsp
%dir %{tomcat5appsdir}/%{name}-example
%dir %{tomcat5appsdir}/%{name}-example/WEB-INF
%config(noreplace) %{tomcat5appsdir}/%{name}-example/WEB-INF/web.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-example/WEB-INF/struts-config.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-example/WEB-INF/database.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-example/WEB-INF/action.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-example/WEB-INF/struts-config-registration.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-example/WEB-INF/validation.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-example/WEB-INF/validator-rules.xml
%{tomcat5appsdir}/%{name}-example/WEB-INF/lib
%{tomcat5appsdir}/%{name}-example/WEB-INF/*.tld
%{tomcat5appsdir}/%{name}-example/*.jsp
%{tomcat5appsdir}/%{name}-example/*.htm
%{tomcat5appsdir}/%{name}-example/*.gif
%dir %{tomcat5appsdir}/%{name}-template-example
%dir %{tomcat5appsdir}/%{name}-template-example/WEB-INF
%config(noreplace) %{tomcat5appsdir}/%{name}-template-example/WEB-INF/web.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-template-example/WEB-INF/struts-config.xml
%{tomcat5appsdir}/%{name}-template-example/WEB-INF/lib
%{tomcat5appsdir}/%{name}-template-example/WEB-INF/*.tld
%{tomcat5appsdir}/%{name}-template-example/graphics
%{tomcat5appsdir}/%{name}-template-example/css
%{tomcat5appsdir}/%{name}-template-example/*.jsp
%{tomcat5appsdir}/%{name}-template-example/*.html
%dir %{tomcat5appsdir}/%{name}-exercise-taglib
%dir %{tomcat5appsdir}/%{name}-exercise-taglib/WEB-INF
%config(noreplace) %{tomcat5appsdir}/%{name}-exercise-taglib/WEB-INF/web.xml
%config(noreplace) %{tomcat5appsdir}/%{name}-exercise-taglib/WEB-INF/struts-config.xml
%{tomcat5appsdir}/%{name}-exercise-taglib/WEB-INF/lib
%{tomcat5appsdir}/%{name}-exercise-taglib/WEB-INF/*.tld
%{tomcat5appsdir}/%{name}-exercise-taglib/*.jsp
%{tomcat5ctxdir}/%{name}-*.xml
%endif


%changelog
* Mon May 23 2005 David Walluck <walluck@mandriva.org> 0:1.1-1.2mdk
- rebuild with xalan-j2

* Sat May 21 2005 David Walluck <walluck@mandriva.org> 0:1.1-1.1mdk
- release

* Tue May 10 2005 Gary Benson <gbenson@redhat.com> - 0:1.1-1jpp_7fc
- Embed struts-legacy classes in main jarfile.

* Mon May  9 2005 Gary Benson <gbenson@redhat.com> - 0:1.1-1jpp_6fc
- Work around a classloader issue (#157205).

* Fri May  6 2005 Gary Benson <gbenson@redhat.com> - 0:1.1-1jpp_5fc
- BC-compile.

* Thu Apr 21 2005 Gary Benson <gbenson@redhat.com> - 0:1.1-1jpp_4fc
- Rename user on webapps subpackage (#147601).

* Fri Feb 18 2005 Gary Benson <gbenson@redhat.com> - 0:1.1-1jpp_3fc
- Temporarily disable webapp subpackage.

* Tue Feb  1 2005 Gary Benson <gbenson@redhat.com> - 0:1.1-1jpp_2fc
- Change webapps subpackages' tomcat dependencies to prereqs.
  Spotted by Joe Orton <jorton@redhat.com>.

* Thu Jan 20 2005 Gary Benson <gbenson@redhat.com> - 0:1.1-1jpp_1fc
- Build into Fedora.

* Wed Dec 08 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.1-1jpp_1rh
- First Red Hat release
- Requires servletapi4

* Fri Nov 26 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.1-1jpp
- Rename package to struts11
- Remove unversioned symlink to jar file

* Sat Sep 04 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.1-3jpp
- Rebuilt with Ant 1.6.2

* Sat Jan 10 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.1-2jpp
- Fixed runtime requires
- Fix examples by making symlinks work in their respective (sub-)directories,
  the template comes for tomcat4 from Source #2 and for tomcat5 from Source #3

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.1-1jpp
- Updated to 1.1
- Use tomcat4 real webapps dir instead of -compat provided app dir
- To compile against < JDK 1.4 jdkmajorver needs to be set to 1.3

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0.2-4jpp
- for jpackage-utils 1.5

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-3jpp 
- fixed incorrect files in manual package

* Wed Mar 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-2jpp 
- corrected URL
- cleaned webapps
- tagged webapps

* Sun Mar 24 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-1jpp 
- 1.0.2
- generic servlet support
- distinct webapps for tomcat3 and tomcat4
- no duplicate files for webapps
- correct file ownership for webapps

* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- section macro
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependencies for webapp package
- requires tomcat3
- no more requires servlet3 as tomcat3 requires it
- requires and buildrequires xalan-j2 >= 2.2.0
- adaptation to new servlet3 package
- adaptation to new xalan-j2 package
- adapation to new tomcat3 package
- uncompressed webapps

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- javadoc into javadoc package

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-2jpp
- removed packager tag
- new jpp extension
- added xalan 2.2.D13 support

* Thu Nov 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1jpp
- first JPackage release
